> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List integrations



## OpenAPI

````yaml /api/openapi.yaml get /integrations
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /integrations:
    get:
      tags:
        - Integrations
      summary: List integrations
      operationId: listIntegrations
      responses:
        '200':
          description: Integrations connected to the organization.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Integration'
components:
  schemas:
    Integration:
      type: object
      required:
        - id
        - provider
        - status
        - permissions
        - asset_count
        - connected_at
        - last_synced_at
      properties:
        id:
          type: string
          format: uuid
        provider:
          type: string
        status:
          type: string
          enum:
            - connected
            - error
            - disconnected
        permissions:
          type: string
          enum:
            - read-only
            - read-write
        asset_count:
          type: number
        connected_at:
          $ref: '#/components/schemas/Timestamp'
        last_synced_at:
          $ref: '#/components/schemas/Timestamp'
    Timestamp:
      type: string
      format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````